
****************************************************************;
*    Code COGN dummy variable for w2			
*    based on a series of questions to R or to proxy
*    (scoring based on w1 codebook description)
****************************************************************;

* MEMORY VARIABLES;

     if proxy2=1 then do;	
         if d1161 not in(.,8,9) then do;
             memnow2 = 1*(d1161=5) 
                 + 2*(d1161=4)
                 + 3*(d1161=3)
                 + 4*(d1161=2)
                 + 5*(d1161=1);
             end;
         
         memch2=d1162;
         end;
          
     else if proxy2 in(2,3) then do;
         if d1056 not in(.,8,9) then do;
             memnow2 = 1*(d1056=5) 
                 + 2*(d1056=4)
                 + 3*(d1056=3)
                 + 4*(d1056=2)
                 + 5*(d1056=1);
             end;
         
      **note: in w2, there is more than one memory comparison q;
      *    for proxy respondent. The variable used below is the;
      *    first memory question;
         
         memch2=d1072;   
         
         end;
     

     if memch2 not in(.,8,9) then do;  
         membett2 = (memch2=1);
         memsame2 = (memch2=2);
         memwors2 = (memch2=3);
         end;

  
     label
         memnow2  = 'rate memory 1=pr 5=ex, w2'
         memch2   = 'mem change past yr 1=bet 3=wrs, w2'
         membett2 = 'mem better than 1yr ago, w2'
         memsame2 = 'mem same as 1 yrs ago, w2'
         memwors2 = 'mem worse than 1yr ago, w2'
         ;


* COGNITIVE STATUS;

if proxy2=1 then do;  *respondent questions;

      *TICSR scale;		*1pt per correct orientation/mem question;
     ticsr2=0;		*max score =10;
     array ticsr{8} d1179 d1180 d1181 d1182 d1301 d1302 d1303 d1304;
     do i=1 to 8;
         if ticsr{i} ne . then do;
             if ticsr{i} in(8,9) then ticsr{i}=.;
             if ticsr{i}=1 then ticsr2=ticsr2+1;
             else if ticsr{i}=5 then ticsr2=ticsr2;
             end;
         end;
     nmiss=nmiss(of ticsr{*});
     if nmiss=8 then ticsr2=.;
 
     if d1205 not in(.,8,9) then do;
         if d1205=1 then ticsr2=ticsr2+2;		*count back 1st from 20;
         end;
     if d1206 not in(.,8,9) then do;
         if d1206=1 then ticsr2=ticsr2+1;		*count back 2nd from 20;
         end;
     if d1228 not in(.,8,9) then do;
         if d1228=1 then ticsr2=ticsr2+1;
         end;
    

      *SERIES7;			*1pt per correct subtraction of 7;
     ser7_2=0;			*max score =5;  
     array series7{5} d1305-d1309;
     do i=1 to 5;
         if series7{i}=100-(i*7) then ser7_2=ser7_2+1;
         else ser7_2=ser7_2;
         end;
     nmiss=nmiss(of series7{*});
     if nmiss=5 then ser7_2=.;

     
      *IMMWORDC;	*word recall - # recalled correctly;
     immwrdc2=0;			*max score = 10;

     array words{11} d1174m1 d1174m2 d1174m3 d1174m4 d1174m5 d1174m6
         d1174m7 d1174m8 d1174m9 d1174m10 d1174m11;
     do i=1 to 11;
         if 01 <= words{i} <=40 then immwrdc2 = immwrdc2 + 1;
         else immwrdc2=immwrdc2;
         end;
     nmiss=nmiss(of words{*});
     if nmiss=11 then immwrdc2=.;
     
     cogimm2=(ticsr2 + immwrdc2 + ser7_2);
     drop nmiss i;
     end; 
 
 if proxy2 in(2,3) then do;		*proxy2 questions;

         *PCOG1;		
     if d1056 not in(.,8,9) then pmem2 = (d1056 in(4,5));
     if d1061 not in(.,8,9) then pjdg2 = (d1061 in(4,5));
     if d1066 not in(.,8,9) then porg2 = (d1066 in(4,5));

     if pmem2=1 or pjdg2=1 or porg2=1 then  pcog1_2=1;
     else if pmem2=. or pjdg2=. or porg2=. then pcog1_2=.;
     else pcog1_2=0; 

         *PCOG2;		*behavioral disturbances;

     if d1144 not in(.,8,9) then plost2 = (d1144=1);		*gets lost;
     if d1145 not in(.,8,9) then pwand2 = (d1145=1);		*wanders off;
     if d1146 not in(.,8,9) then pleft2 = (d1146 = 5);	*cannot be left alone;
     if d1147 not in(.,8,9) then phall2 = (d1147 = 1);	*hallucinate ;

     
     if plost2=1 or pwand2=1 or pleft2=1 or phall2=1 then  pcog2_2=1;
     else if plost2=. or pwand2=. or pleft2=. or phall2=. then  pcog2_2=.;
     else pcog2_2=0; 
     
     if pcog1_2=1 or pcog2_2=1 then  pcogn2=1;
     else if pcog1_2=. or pcog2_2=. then  pcogn2=.;
     else pcogn2=0;       
     end;

 if cogimm2 ne . then cogn2=(0 < cogimm2 <=15);
 else if pcogn2 ne . then cogn2=(pcogn2=1);
 misscog2=(cogn2=.);

 label
     immwrdc2='immediate recall-# correct, w2'
     ser7_2='# correct subtractions, w2'
     ticsr2='tics score: no serial 7 or words, w2'
     cogimm2='cognitive score 2, w2'
     
     cogn2='cognitive impairment w2'
     pcogn2='proxy & cogn imp'
     misscog2='cogn missing w2'
     pcog1_2='proxy cog 1 w2'
     pcog2_2='proxy cog 2 w2'

     pmem2='proxy cog memory, w2'
     pjdg2='proxy cog judgement, w2'
     porg2='proxy cog organize, w2'

     plost2='proxy cog get lost, w2'
     pwand2='proxy cog wander, w2'
     pleft2='proxy cog be left alone, w2'
     phall2='proxy cog hallucinate, w2'
     ;


 * DEPRESSION;

   * code cesd8 depression variable;
   * not that cannot create aff9 and aff10 as in wave1;
   * b/c one question is not asked (v313 in w1) re: interested;

 if d985  not in(.,8,9) then depres  =(d985=1) ;
 if d987  not in(.,8,9) then effort  =(d987=1) ;
 if d989  not in(.,8,9) then sleep   =(d989=1) ;
 if d991  not in(.,8,9) then nothappy=(d991=5) ;
 if d993  not in(.,8,9) then lonely  =(d993=1) ;
 if d995  not in(.,8,9) then notenjoy=(d995=5) ;
 if d999  not in(.,8,9) then sad     =(d999=1) ;
 if d1001 not in(.,8,9) then notgetgo=(d1001=1);
 
 *sum of vars is cesd8, high=depressed;
   
 cesd8_2 = (depres + effort + sleep + nothappy +
     lonely + notenjoy + sad + notgetgo);
 
 drop depres effort sleep nothappy lonely notenjoy sad notgetgo;
 
 if cesd8_2 ne . then depres2=(cesd8_2>4);
 if depres2=. and proxy2 in(2,3) then depres2=0;
 
 label
     cesd8_2 = 'cesd8 score (0-8) w2'
     depres2='depressed, cesd8>4 w2';
 

