%include "/accounts/projects/mcfadden/psid/ribeiro/datagen/header.inc";
options ps=2000 ls=150;
libname tmp v6 "/tmp/tribeiro";
libname local "/accounts/projects/mcfadden/psid/ribeiro/datagen/ahead3/heart_alert";
 
options ps=2000 ls=150;


*x zcat "&rawc3/h98pr_r.ssd01.Z" > /tmp/tribeiro/h98pr_r.ssd01;
*x zcat "&rawc3/h98b_r.ssd01.Z"  > /tmp/tribeiro/h98b_r.ssd01;
*x zcat "&rawc2/a95b_r.ssd01.Z" > /tmp/tribeiro/a95b_r.ssd01;

**************************************************;
** Fixing Heart Disease Variable in HRS 98 Core **;
**************************************************;


***1995 data with HHID PN and D828;

Data Da95;
    set tmp.a95b_r;
    keep hhid pn d828 d834 d843;
run;
Proc Sort out=da95 nodupkey;
    by hhid pn;
run;

***1998 preload data with HHID PN and F234;
Data Da98_pr;
    set tmp.h98pr_r;
    keep hhid pn f234;
run;
Proc Sort out=da98_1  nodupkey;
    by hhid pn;
run;

***1998 data with HHID PN and F1156;
Data Da98_b;
    set tmp.h98b_r;
    keep hhid pn f1156 f1162 f1168 f1171  f1174  f1175;
run;
Proc Sort out=da98_2 nodupkey;
    by hhid pn;
run;

***Merge data together using HHID and PN;
***retaining only respondents with data in 1998;
Data All;
    merge da95 da98_1 da98_2 (in=a);
    by hhid pn;
    if a;

    miscode=0;
    if d828 eq 1 and f234 eq 0 then miscode=1;

    F1156R = .;
    if miscode eq 1 and f1156 eq 5 then F1156R = 6;
    else F1156R = F1156;
run;

***Check frequencies after correction;
Proc Freq data=All;
    tables miscode f1156 f1156r miscode*f1156r miscode*f1156 f1156*f1156R /
        nocol norow nopercent missing;
run;

Proc Freq data=All;
    tables miscode d828*f234*f1156*f1156r*miscode*f1162*f1171/ list missing;

run;

data local.heart_alert;
    set all;
    keep hhid pn f1156r miscode;
    run;
    
proc contents;






