/*****************************************************************/
/* FILE:        	bmi.sas                                  */
/* PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)    */
/* FACULTY:		Dan McFadden                             */
/* AUTHOR:		Tiago Ribeiro                            */
/* LAST UPDATE:		Jan 2003                                 */
/* PROGRAM DESC:	Code BMI and impute BMI for a few cases  */
/* CONTACT:             tribeiro@econ.berkeley.edu               */
/*****************************************************************/

   /* ---------------------------------------------------------------- 
      Code BMI 

          BMI            [RESP]  BODY MASS INDEX (QUETELET)
          Created by dividing weight (in kilograms) by squared
	  height(in
          meters).  V304 coverted to kilograms (pounds*.45359) and
	  V306
          converted to meters [(height in inches/12)*.3048]. 
      ---------------------------------------------------------------- */

data allwv;
    set allwv;
    if height=0 then height=.;
run;

proc means data=allwv nmiss n mean;
    var height weight1-weight3;
run;

proc means data=allwv;
    var height;
   output out=outbmi mean=mmhei;
run;
data _null_;
    set outbmi;
    call symput("mmhei",mmhei);
run;

data allwv;
    set allwv;
    if height = . then height= symget("mmhei");
    
    if weight1 =. then do;
        if weight2 ne . then weight1=weight2;
        else if weight3 ne . then weight1=weight3;
        end;
    
    if weight2 =. then do;
        if weight1 ne . then weight2=weight1;
        else if weight3 ne . then weight2=weight3;
        end;
    
    if weight3 =. then do;
        if weight2 ne . then weight3=weight2;
        else if weight1 ne . then weight3=weight1;
        end;

   bmi1=weight1*.45359/((height/12*.3048)**2);
   bmi2=weight2*.45359/((height/12*.3048)**2);
   bmi3=weight3*.45359/((height/12*.3048)**2);

   xbmi2 = bmi2-bmi1;
   xbmi3 = bmi3-bmi2;
   
   bmibt2 = 0;
   if (bmi1<20) and (bmi2>=20) and (bmi2<=25) then	 bmibt2 = 1; 
   else if (bmi1>25) and (bmi2>=20) and (bmi2<=25) then	 bmibt2 = 1; 
   else if (bmi1<20) and (bmi2<20) and (xbmi2>1) then	 bmibt2 = 1; 
   else if (bmi1>25) and (bmi2>25) and (xbmi2<-1) then	 bmibt2 = 1; 
   
   bmibt3 = 0;
   if (bmi2<20) and (bmi3>=20) and (bmi3<=25) then	 bmibt3 = 1; 
   else if (bmi2>25) and (bmi3>=20) and (bmi3<=25) then	 bmibt3 = 1; 
   else if (bmi2<20) and (bmi3<20) and (xbmi3>1) then	 bmibt3 = 1; 
   else if (bmi2>25) and (bmi3>25) and (xbmi3<-1) then	 bmibt3 = 1; 
   
   bmiws2 = 0;
   if (bmi1<20) and (bmi2>25) then	 bmiws2 = 1; 
   else if (bmi1>25) and (bmi2<20) then	 bmiws2 = 1; 
   else if (bmi1>=20) and (bmi1<=25) and (bmi2<20) then	 bmiws2 = 1; 
   else if (bmi1>=20) and (bmi1<=25) and (bmi2>25) then	 bmiws2 = 1; 
   else if (bmi1<20) and (bmi2<20) and (xbmi2<-1) then	 bmiws2 = 1; 
   else if (bmi1>25) and (bmi2>25) and (xbmi2>1) then	 bmiws2 = 1; 
   
   bmiws3 = 0;
   if (bmi2<20) and (bmi3>25) then	 bmiws3 = 1; 
   else if (bmi2>25) and (bmi3<20) then	 bmiws3 = 1; 
   else if (bmi2>=20) and (bmi2<=25) and (bmi3<20) then	 bmiws3 = 1; 
   else if (bmi2>=20) and (bmi2<=25) and (bmi3>25) then	 bmiws3 = 1; 
   else if (bmi2<20) and (bmi3<20) and (xbmi3<-1) then	 bmiws3 = 1; 
   else if (bmi2>25) and (bmi3>25) and (xbmi3>1) then	 bmiws3 = 1; 
   
   label
       xbmi2='change in bmi w1-w2'
       xbmi3='change in bmi w2-w3'
       
       bmibt2 ='indicator for BETTER bmi w1-w2'
       bmibt3 ='indicator for BETTER bmi w2-w3'
       
       bmiws2 ='indicator for WORSE bmi w1-w2'
       bmiws3 ='indicator for WORSE bmi w2-w3'
       ;
run;
   
proc means; var bmi1-bmi3;

