/*****************************************************************/
/* FILE:                spouse.sas                               */
/* PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)    */
/* FACULTY:		Dan McFadden                             */
/* AUTHOR:		Tiago Ribeiro                            */
/* LAST UPDATE:		Jan 2003                                 */
/* PROGRAM DESC:	Code spouse variables                    */
/* CONTACT:             tribeiro@econ.berkeley.edu               */
/*****************************************************************/
/* Wave i spouse vars */

%let  rvars_1=  age   sex  female   hispan  nonwhit   black   raceo   white  usborn ;
%let spvars_1= sage s_sex sfemale  shispan snonwhit s_black s_raceo s_white s_usbrn ;

%let  rvars_2=  educ  adjeduc   coll   hs   dadhs   momhs magedie1 pagedie1  smokev ;
%let spvars_2=s_educ sadjeduc s_coll s_hs s_dadhs s_momhs smagedi1 spagedi1 ssmokev ;

%let  rvars1_0=  agem1   as701   fas701   as801   fas801 nevmarr1    widow1    divsep1  month12;
%let spvars1_0= sagem1 spas701 spfas701 spas801 spfas801 snevmar1   swidow1   sdivsep1 smonth12;
                                                                                               
%let  rvars2_0=  agem2   as702   fas702   as802   fas802 nevmarr2    widow2    divsep2  month23;
%let spvars2_0= sagem2 spas702 spfas702 spas802 spfas802 snevmar2   swidow2   sdivsep2 smonth23;
                                                                                      
%let  rvars3_0=  agem3   as703   fas703   as803   fas803 nevmarr3    widow3    divsep3;
%let spvars3_0= sagem3 spas703 spfas703 spas803 spfas803 snevmar3   swidow3   sdivsep3;


%let  rvars1_1=   hlth1 hlthbet1 hlthsam1 hlthwrs1  hlthex1  hlthvg1  hlthgd1  hlthfr1  hlthpr1  h_exvg1  h_frpr1;
%let spvars1_1= s_hlth1 s_h_bet1 s_h_sam1 s_h_wrs1 s_hthex1 s_hthvg1 s_hthgd1 s_hthfr1 s_hthpr1 sh_exvg1 sh_frpr1;
                                                                                                                
%let  rvars2_1=   hlth2 hlthbet2 hlthsam2 hlthwrs2  hlthex2  hlthvg2  hlthgd2  hlthfr2  hlthpr2  h_exvg2  h_frpr2;
%let spvars2_1= s_hlth2 s_h_bet2 s_h_sam2 s_h_wrs2 s_hthex2 s_hthvg2 s_hthgd2 s_hthfr2 s_hthpr2 sh_exvg2 sh_frpr2;
                                                                                                                
%let  rvars3_1=   hlth3 hlthbet3 hlthsam3 hlthwrs3  hlthex3  hlthfr3  hlthgd3  hlthpr3  hlthvg3  h_exvg3  h_frpr3;
%let spvars3_1= s_hlth3 s_h_bet3 s_h_sam3 s_h_wrs3 s_hthex3 s_hthfr3 s_hthgd3 s_hthpr3 s_hthvg3 sh_exvg3 sh_frpr3;


%let  rvars1_2=  bmi1   lobmi1  hibmi1  bmilow1  bmihi1;
%let spvars1_2= sbmi1  slobmi1 shibmi1 sbmilow1 sbmihi1;
                                                      
%let  rvars2_2=  bmi2   lobmi2  hibmi2  bmilow2  bmihi2;
%let spvars2_2= sbmi2  slobmi2 shibmi2 sbmilow2 sbmihi2;
                                                      
%let  rvars3_2=  bmi3   lobmi3  hibmi3  bmilow3  bmihi3;
%let spvars3_2= sbmi3  slobmi3 shibmi3 sbmilow3 sbmihi3;

       
%let  rvars1_3= cogim1 ;
%let spvars1_3=scogim1 ;
                      
%let  rvars2_3= cogim2 ;
%let spvars2_3=scogim2 ;
                      
%let  rvars3_3= cogim3 ;
%let spvars3_3=scogim3 ;


    
%let  rvars1_4=  dadl1  diadl1  numadl1 numiadl1  adl1_21  adlgt31  iadl1_21 iadlgt31  dhlth1 drnknow1 smoknow1 ;
%let spvars1_4= sdadl1 sdiadl1 snumadl1 snmiadl1 sadl1_21 sadlgt31  siadl121 siadlg31 sdhlth1 sdrnknw1 ssmoknw1 ;
                                                                                              
%let  rvars2_4=  dadl2  diadl2  numadl2 numiadl2  adl1_22  adlgt32  iadl1_22 iadlgt32  dhlth2 drnknow2 smoknow2 ;
%let spvars2_4= sdadl2 sdiadl2 snumadl2 snmiadl2 sadl1_22 sadlgt32  siadl122 siadlg32 sdhlth2 sdrnknw2 ssmoknw2 ;
                                                                                              
%let  rvars3_4=  dadl3  diadl3  numadl3 numiadl3  adl1_23  adlgt33  iadl1_23 iadlgt33  dhlth3 drnknow3 smoknow3 ;
%let spvars3_4= sdadl3 sdiadl3 snumadl3 snmiadl3 sadl1_23 sadlgt33  siadl123 siadlg33 sdhlth3 sdrnknw3 ssmoknw3 ;

    

%let  rvars1_5=  cancer1   lung1  heart1  stroke1  diabet1  highbp1  psych1  arthrt1 fall1  hipfrc1  depres1  incont1  proxyw1; 
%let spvars1_5= scancer1 slung1 sheart1 sstroke1 sdiabet1 shighbp1 spsych1 sarthrt1 sfall1 shipfrc1 sdepres1 sincont1 sproxyw1; 
                                                                                                                           
%let  rvars2_5=  cancer2   lung2  heart2  stroke2  diabet2  highbp2  psych2  arthrt2 fall2  hipfrc2  depres2  incont2  proxyw2; 
%let spvars2_5= scancer2 slung2 sheart2 sstroke2 sdiabet2 shighbp2 spsych2 sarthrt2 sfall2 shipfrc2 sdepres2 sincont2 sproxyw2; 
                                                                                                                              
%let  rvars3_5=  cancer3   lung3  heart3  stroke3  diabet3  highbp3  psych3  arthrt3 fall3  hipfrc3  depres3  incont3  proxyw3; 
%let spvars3_5= scancer3 slung3 sheart3 sstroke3 sdiabet3 shighbp3 spsych3 sarthrt3 sfall3 shipfrc3 sdepres3 sincont3 sproxyw3; 


               
%let  rvars2_6= ihighbp2  ilung2 iarthrt2 idiabet2 icancer2  iheart2 istroke2  ipsych2  ifall2 ihipfrc2 iincont2 idepres2  icogim2; 
%let spvars2_6= sihghbp2 silung2 siartht2 sidiabt2 sicancr2 siheart2 sistrok2 sipsych2 sifall2 sihipfr2 siincot2 sideprs2 sicogim2;
                                                                                                                                  
%let  rvars3_6= ihighbp3  ilung3 iarthrt3 idiabet3 icancer3  iheart3 istroke3  ipsych3  ifall3 ihipfrc3 iincont3 idepres3  icogim3;
%let spvars3_6= sihghbp3 silung3 siartht3 sidiabt3 sicancr3 siheart3 sistrok3 sipsych3 sifall3 sihipfr3 siincot3 sideprs3 sicogim3;



%let  rvars2_7= jcancer2  jheart2 jstroke2  jfall2 jincont2 jhipfrc2  iproxyw2  tdied2;
%let spvars2_7= sjcancr2 sjheart2 sjstrok2 sjfall2 sjincot2 sjhipfr2  siprxyw2 spdied2;
                                                                             
%let  rvars3_7= jcancer3 jheart3 jstroke3 jfall3 jincont3   jhipfrc3  iproxyw3  tdied3;
%let spvars3_7= sjcancr3 sjheart3 sjstrok3 sjfall3 sjincot3 sjhipfr3  siprxyw3 spdied3;



%let  rvars2_8=  xbmi2  bmibt2  bmiws2   idadl2    idiadl2   idhlth2 ;
%let spvars2_8= sxbmi2 sbmibt2 sbmiws2  sidadl2   sidiadl2  sidhlth2 ;
                                       
%let  rvars3_8=  xbmi3  bmibt3  bmiws3   idadl3  idiadl3  idhlth3;
%let spvars3_8= sxbmi3 sbmibt3 sbmiws3  sidadl3 sidiadl3 sidhlth3;



%let r1= &rvars_1  &rvars_2  &rvars1_0  &rvars1_1  &rvars1_2  &rvars1_3  &rvars1_4  &rvars1_5  &rvars2_6  &rvars2_7  &rvars2_8;
%let s1=&spvars_1 &spvars_2 &spvars1_0 &spvars1_1 &spvars1_2 &spvars1_3 &spvars1_4 &spvars1_5 &spvars2_6 &spvars2_7 &spvars2_8;

%let r2= &rvars2_0  &rvars2_1  &rvars2_2  &rvars2_3  &rvars2_4  &rvars2_5  &rvars3_6  &rvars3_7  &rvars3_8 ;
%let s2=&spvars2_0 &spvars2_1 &spvars2_2 &spvars2_3 &spvars2_4 &spvars2_5 &spvars3_6 &spvars3_7 &spvars3_8 ;

%let r3= &rvars3_0  &rvars3_1  &rvars3_2  &rvars3_3  &rvars3_4  &rvars3_5;
%let s3=&spvars3_0 &spvars3_1 &spvars3_2 &spvars3_3 &spvars3_4 &spvars3_5;


%spouse(allwv,&r1,&s1,hhid bppn);
%spouse(allwv,&r2,&s2,hhid dppn);
%spouse(allwv,&r3,&s3,hhid fppn);

* old definitions;
*%count(allwv,hhid bcouple,n2hhidw1);
*%count(allwv,hhid dsubhh,n2hhidw2);
*%count(allwv,hhid fsubhh,n2hhidw3);

* new definitions;
data allwv;
    set allwv;
    n2hhidw1=nhhbppn;
    n2hhidw2=nhhdppn;
    n2hhidw3=nhhfppn;
run;

proc datasets;
    modify allwv;
    label 
        n2hhidw1="count of hh members, w1" 
        n2hhidw2="count of hh members, w2" 
        n2hhidw3="count of hh members, w3" 
        ;
run;












