/*****************************************************************/
/* FILE:        	impcat3.sas                              */
/* PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)    */
/* FACULTY:		Dan McFadden                             */
/* AUTHOR:		Tiago Ribeiro                            */
/* LAST UPDATE:		Jan 2003                                 */
/* PROGRAM DESC:	Categorical asset imputation wave 3      */
/* CONTACT:             tribeiro@econ.berkeley.edu               */
/*****************************************************************/

data w3assets;
    set local8.w3assets;
run;

%merge(w3assets,w3assets,wv3,hhid fsubhh,1);
data tmp;
    set local8.w2astc;
    keep hhid dsubhh nhhdppn;
    keep %list2_4(cn,2,1);;
    keep hcond2 nhood2 ;
run;
%merge(w3assets,w3assets,tmp,hhid dsubhh,1);

    
%let cntrlv=nhhdppn nhhfppn cnhous2 cnstck2 cnchck2;

%let seed=28;
%let impv =c_hous3;
%let impvn=cnhous3;
%let mapd=asstcat.c_hous3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=29;
%let impv = c_stck3;
%let impvn= cnstck3;
%let mapd= asstcat.c_stck3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=30;
%let impv = c_chck3;
%let impvn= cnchck3;
%let mapd= asstcat.c_chck3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=31;
%let cntrlv=nhhdppn nhhfppn cnhous2 cnchck2 cnrlst2;
%let impv = c_rlst3;
%let impvn= cnrlst3;
%let mapd= asstcat.c_rlst3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=32;
%let cntrlv=nhhdppn nhhfppn cnhous2  cnchck2 cntrns2;
%let impv =c_trns3;
%let impvn=cntrns3;
%let mapd=asstcat.c_trns3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=33;
%let cntrlv=nhhdppn nhhfppn cnchck2 cnira12;
%let impv =c_ira13;
%let impvn=cnira13;
%let mapd=asstcat.c_ira13;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=34;
%let cntrlv=nhhdppn nhhfppn cnira13;
%let impv =c_ira23;
%let impvn=cnira23;
%let mapd=asstcat.c_ira23;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=35;
%let cntrlv=nhhdppn nhhfppn cnira13;
%let impv =c_ira33;
%let impvn=cnira33;
%let mapd=asstcat.c_ira33;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=36;
%let cntrlv=nhhdppn nhhfppn cnhous2  cnchck2 cnbsns2;
%let impv =c_bsns3;
%let impvn=cnbsns3;
%let mapd=asstcat.c_bsns3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=37;
%let cntrlv=nhhdppn nhhfppn cnhous2  cnchck2 cncd2;
%let impv =c_cd3;
%let impvn=cncd3;
%let mapd=asstcat.c_cd3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=38;
%let cntrlv=nhhdppn nhhfppn cnhous2  cnchck2 cnbond2;
%let impv =c_bond3;
%let impvn=cnbond3;
%let mapd=asstcat.c_bond3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=39;
%let cntrlv=nhhdppn nhhfppn cnhous2  cnchck2 cnothr2;
%let impv =c_othr3;
%let impvn=cnothr3;
%let mapd=asstcat.c_othr3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let seed=40;
%let cntrlv=nhhdppn nhhfppn cnhous2  cnchck2 cndebt2;
%let impv =c_debt3;
%let impvn=cndebt3;
%let mapd=asstcat.c_debt3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);


%let seed=41;
%let cntrlv=nhhdppn nhhfppn cnchck2 cnmobh2;
%let impv =c_mobh3; 
%let impvn=cnmobh3; 
%let mapd=asstcat.c_mobh3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);


%let seed=42;
%let cntrlv=nhhdppn nhhfppn cnchck2 cnmort2;
%let impv =c_mort3;
%let impvn=cnmort3;
%let mapd= asstcat.c_mort3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);


%let seed=43;
%let cntrlv=nhhdppn nhhfppn cnchck2 cn2mrt2;
%let impv = c_2mrt3;
%let impvn= cn2mrt3;
%let mapd= asstcat.c_2mrt3;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

/* No imp needed */
%let seed=44;
%let cntrlv=nhhdppn nhhfppn cnchck2 cnloan2;
%let impv = c_loan3;
%let impvn= cnloan3;
%let mapd=  asstcat.c_loan3;
*%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);


data map1;
    input v1 v2 v3 v4 v5 hcond3;
    cards;
        1 0 0 0 0 1
        0 1 0 0 0 2
        0 0 1 0 0 3
        0 0 0 1 0 4
        0 0 0 0 1 5
        1 1 1 1 1 6
            ;
run;

data map2;
    input v1 v2 v3 v4 v5 nhood3;
    cards;
        1 0 0 0 0 1
        0 1 0 0 0 2
        0 0 1 0 0 3
        0 0 0 1 0 4
        0 0 0 0 1 5
        1 1 1 1 1 6
            ;
run;

data w3assets;
    set w3assets;
    if hcond3 in(.,7,8,9) then hcond3=6;
    if nhood3 in(.,7,8,9) then nhood3=6;
run;

%let seed=45;
%let cntrlv=nhhdppn hcond2 nhood2;
%let impv  =hcond3  nhood3;
%let impvn=nhcond3 nnhood3;
%let mapd=map1 map2;
%impcat(w3assets,&impv,&impvn,&mapd,&cntrlv,&seed);

%let cvars=%list2_4(cn,3,1);;
%let dvars=%list2_4(dn,3,1);;
      
data local8.w3astc;
    set w3assets;
    array cn{*} &cvars;
    array dn{*} &dvars;
    do i=1 to dim(cn);
        dn{i}=(cn{i}>0);
        end;
    drop i;
    drop  nhhdppn;
    drop %list2_4(cn,2,1);;
    drop hcond2 nhood2 ;
    
    nhood3=nnhood3;
    hcond3=nhcond3;
    drop nnhood3 nhcond3;

    hoodex3=(nhood3=1);
    hoodvg3=(nhood3=2);
    hoodgd3=(nhood3=3);
    hoodfr3=(nhood3=4);
    hoodpr3=(nhood3=5);

    condex3=(hcond3=1);
    condvg3=(hcond3=2);
    condgd3=(hcond3=3);
    condfr3=(hcond3=4);
    condpr3=(hcond3=5);

   %labeli(cn,rlst,w3);
   %labeli(cn,bsns,w3);
   *%labeli(cn,ira,w3);
   %labeli(cn,ira1,w3);
   %labeli(cn,ira2,w3);
   %labeli(cn,ira3,w3);
   %labeli(cn,stck,w3);
   %labeli(cn,bond,w3);
   %labeli(cn,chck,w3);
   %labeli(cn,cd,w3);
   %labeli(cn,othr,w3);
   %labeli(cn,trns,w3);
   %labeli(cn,debt,w3);
   %labeli(cn,mobh,w3);
   %labeli(cn,hous,w3);
   %labeli(cn,mort,w3);
   %labeli(cn,2mrt,w3);
   %labeli(cn,loan,w3);

run;
proc means; var &dvars; run;







